
using CloudBuilder.Core.Service;
using CloudBuilder.Security.Data;
using CloudBuilder.Security.Entity;
using CloudBuilder.Security.SearchCriteria;
using Microsoft.AspNetCore.Mvc;

namespace CloudBuilder.Security.Service
{
    public  interface ISecurityGroupService :IServiceBase<SecurityGroupData, string ,SecurityGroupSearchCriteria>
    {
        SecurityGroupEntity[] FindAll();

        SecurityGroupResultData FindBySearchCriteria(SecurityGroupSearchCriteria tc);
        dynamic PrintBySearchCriteria(SecurityGroupSearchCriteria tc);

        void Deletes(string[] keys);
    }
}
